<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.209
Description: Conclusion Pathology Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.209">
   <title>Conclusion Pathology Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]
Item: (ConclusionPathologySection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section"
         id="tmp-44a3f51d-9758-444c-8fb8-ccb6efea529c">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']|hl7:code|hl7:title|hl7:text|hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]))=0">(ConclusionPathologySection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&gt;=1 ">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'])&lt;=1">(ConclusionPathologySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ConclusionPathologySection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:code)&lt;=1">(ConclusionPathologySection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:title)&gt;=1 ">(ConclusionPathologySection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:title)&lt;=1">(ConclusionPathologySection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ConclusionPathologySection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="count(hl7:text)&lt;=1">(ConclusionPathologySection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.209']"
         id="tmp-0cc5cf4e-bfdf-4cb2-98ab-3a894216962a">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.209'">(ConclusionPathologySection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.209' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ConclusionPathologySection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:code
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:code"
         id="tmp-0b1c7fe3-8ca6-47bb-b197-e7acb32a509b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or (@code='22034-4' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionPathologySection): de waarde van @code/@codeSystem MOET ''22034-4' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:title
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:title"
         id="tmp-92fc3362-30de-40c1-902b-700127d93a88">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="text()='Conclusie'">(ConclusionPathologySection): de element content van hl7:title MOET ''Conclusie'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:text
Item: (ConclusionPathologySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:text"
         id="tmp-bf35b227-112a-443f-877d-bff20f3fab49">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (ConclusionPathologySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SD.TEXT" bevatten</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.209
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]
Item: (ConclusionPathologySection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.209']]/hl7:section/hl7:entry[act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.591']]]"
         id="tmp-e1541317-3a2c-4dee-a605-6515ae68755d">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.209.html"
              test="string(@typeCode)='DRIV'">(ConclusionPathologySection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>