<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.308
Description: Template: Dosageandtypeofpreparation
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.308">
   <title>Dosage and type of preparation</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]
Item: (Dosageandtypeofpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration"
         id="tmp-03e54ebe-900a-44a5-9285-52fef3ba547a">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@classCode)='SBADM'">(Dosageandtypeofpreparation): de waarde van @classCode MOET 'SBADM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@moodCode)='EVN'">(Dosageandtypeofpreparation): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'])&gt;=1 ">(Dosageandtypeofpreparation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'])&lt;=1">(Dosageandtypeofpreparation): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:id)&lt;=1">(Dosageandtypeofpreparation): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:doseQuantity)&gt;=1 and not(hl7:doseQuantity/@nullFlavor)">(Dosageandtypeofpreparation): element hl7:doseQuantity is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:doseQuantity)&lt;=1">(Dosageandtypeofpreparation): element hl7:doseQuantity komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:consumable)&gt;=1 and not(hl7:consumable/@nullFlavor)">(Dosageandtypeofpreparation): element hl7:consumable is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:consumable)&lt;=1">(Dosageandtypeofpreparation): element hl7:consumable komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.308']"
         id="tmp-60240390-499c-4e5c-a58a-65465e7c8d2f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Dosageandtypeofpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.308'">(Dosageandtypeofpreparation): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.308' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Dosageandtypeofpreparation): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:id
Item: (Dosageandtypeofpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:id"
         id="tmp-ad6a4f30-6983-41dc-b673-08c53635115d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Dosageandtypeofpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration
Item: (Dosagepreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:doseQuantity
Item: (Dosagepreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:doseQuantity"
         id="tmp-9ac392de-c000-4110-a818-209ad7bf42f1">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Dosagepreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="$digitok or @nullFlavor">(Dosagepreparation): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Dosagepreparation): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration
Item: (Medicationforpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration
Item: (Medicationforpreparation)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable"
         id="tmp-e9416042-8f9f-4f4a-a93b-93c3d3e534f1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@typeCode)='CSM'">(Medicationforpreparation): de waarde van @typeCode MOET 'CSM' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:manufacturedProduct)&gt;=1 and not(hl7:manufacturedProduct/@nullFlavor)">(Medicationforpreparation): element hl7:manufacturedProduct is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(Medicationforpreparation): element hl7:manufacturedProduct komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct"
         id="tmp-8a56b2a4-6798-41b5-b8ef-407f322a3654">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@classCode)='MANU'">(Medicationforpreparation): de waarde van @classCode MOET 'MANU' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(Medicationforpreparation): element hl7:manufacturedMaterial is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(Medicationforpreparation): element hl7:manufacturedMaterial komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-aa485c74-c04c-461b-b278-305cc222d296">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@determinerCode)='KIND'">(Medicationforpreparation): de waarde van @determinerCode MOET 'KIND' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="string(@classCode)='MMAT'">(Medicationforpreparation): de waarde van @classCode MOET 'MMAT' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:code)&gt;=1 ">(Medicationforpreparation): element hl7:code is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="count(hl7:code)&lt;=1">(Medicationforpreparation): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.308
Context: *[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code
Item: (Medicationforpreparation)
-->

<rule context="*[hl7:substanceAdministration[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.308']]/hl7:substanceAdministration/hl7:consumable/hl7:manufacturedProduct/hl7:manufacturedMaterial/hl7:code"
         id="tmp-3173256a-91f0-4ace-b835-505d07e94064">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Medicationforpreparation): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-vs_voorbereiding_coloscopie-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-vs_voorbereiding_coloscopie-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Medicationforpreparation): de waarde van @code MOET worden gekozen uit waardenlijst vs_voorbereiding_coloscopie Voorbereiding coloscopie DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.308.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Medicationforpreparation): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_voorbereiding_coloscopie Voorbereiding coloscopie DYNAMIC.</assert>
   </rule>
</pattern>