<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.317
Description: Template: Diagnoseregel
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.317">
   <title>Diagnoseregel</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]
Item: (Diagnoseregel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation
Item: (Diagnoseregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation"
         id="tmp-783110fb-cf3b-46af-ab4b-f31e542183a1">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="string(@classCode)='OBS'">(Diagnoseregel): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="string(@moodCode)='EVN'">(Diagnoseregel): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317'])&gt;=1 ">(Diagnoseregel): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317'])&lt;=1">(Diagnoseregel): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Diagnoseregel): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:code)&lt;=1">(Diagnoseregel): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:text)&lt;=1">(Diagnoseregel): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:value)&gt;=1 ">(Diagnoseregel): element hl7:value is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:value)&lt;=1">(Diagnoseregel): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317']
Item: (Diagnoseregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.317']"
         id="tmp-28f9800d-3fec-4738-a5ca-6143cd0d0cdc">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Diagnoseregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.317'">(Diagnoseregel): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.317' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Diagnoseregel): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:code
Item: (Diagnoseregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:code"
         id="tmp-5dd3131b-4f24-4bad-99ac-e324135f3de0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Diagnoseregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="@nullFlavor or (@code='DX' and @codeSystem='2.16.840.1.113883.5.4')">(Diagnoseregel): de waarde van @code/@codeSystem MOET ''DX' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:text
Item: (Diagnoseregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:text"
         id="tmp-61ac1a82-7530-40c5-a279-22c83bd1d8a7">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:reference)&gt;=1 ">(Diagnoseregel): element hl7:reference is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="count(hl7:reference)&lt;=1">(Diagnoseregel): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:text/hl7:reference
Item: (Diagnoseregel)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.317
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:value
Item: (Diagnoseregel)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.317']]/hl7:observation/hl7:value"
         id="tmp-edee8af2-f108-4b70-9575-54ee8a0132af">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="@nullFlavor or ($xsiLocalName='CD' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">
         <value-of select="$xsiLocalName"/>:<value-of select="$xsiLocalNS"/>:
                                (Diagnoseregel): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CD" bevatten</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130201T135024/tmp-2.16.840.1.113883.2.4.3.36.10.317.html"
              test="@nullFlavor or (@codeSystem='2.16.840.1.113883.2.4.3.23.5.2')">(Diagnoseregel): de waarde van @codeSystem MOET ''2.16.840.1.113883.2.4.3.23.5.2'' zijn.</assert>
   </rule>
</pattern>